Bug 710437 - Satellite sync cache has inconsistent selinux type
Satellite sync cache has inconsistent selinux type
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
541
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2011-06-03 07:52 EDT by Šimon Lukašík
Modified: 2014-07-04 09:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Šimon Lukašík 2011-06-03 07:52:40 EDT
Description of problem:
The content in /var/cache/rhn/satsync/ is created with 

    unconfined_u:object_r:spacewalk_cache_t

by satellite-sync. On the other hand selinux politics specifies

    system_u:object_r:var_t

for that directory. The selinux type for this content should be
consistent.


Version-Release number of selected component (if applicable):
RHN Satellite 5.4.0
RHN Satellite 5.4.1

How reproducible:
always

Steps to Reproduce:
1. satellite-sync some channel
2. restorecon -rvv /var/cache/rhn/
3.
  
Actual results:
Thousands of lines similar to:
  restorecon reset /var/cache/rhn/satsync/packages/38/rhn-package-620138
  context unconfined_u:object_r:spacewalk_cache_t:s0->
  system_u:object_r:var_t:s0


Expected results:
<dark silence>

Additional info:
This is revealed by each update of spacewalk-selinux.
Comment 1 Miroslav Suchý 2011-06-20 11:41:29 EDT
I could not confirm it.
Do you have some special setup? Like nfs mounted var?
Comment 2 Šimon Lukašík 2011-06-21 03:53:10 EDT
Mirek, you are right. My reproducer is incorrect. You need to have fresh
installation *or* remove

    rm -rf /var/cache/rhn/satsync/

prior the sync. The problem might appear to user, when he: (1) installs
Satellite 5.4.0, (2) Sync some arbitrary channel, (3) Runs yum update of
spacewalk-selinux.

Note You need to log in before you can comment on or make changes to this bug.